# Phone Input

A select/input combo with a dropdown for selecting a country dial code.

## International Metadata

The following countries are included in our collection of country flags and dial codes.
This list is the intersection of dial codes supported by [jackocnr/intl-tel-input](https://github.com/jackocnr/intl-tel-input) and flags included in [madebybowtie/FlagKit](https://github.com/madebybowtie/FlagKit).

| iso2 | Region                                               | Dial Code |
| :--- | :--------------------------------------------------- | --------: |
| AD   | Andorra                                              |       376 |
| AE   | United Arab Emirates (‫الإمارات العربية المتحدة‬‎)   |       971 |
| AF   | Afghanistan (‫افغانستان‬‎)                           |        93 |
| AG   | Antigua and Barbuda                                  |      1268 |
| AI   | Anguilla                                             |      1264 |
| AL   | Albania (Shqipëri)                                   |       355 |
| AM   | Armenia (Հայաստան)                                   |       374 |
| AO   | Angola                                               |       244 |
| AR   | Argentina                                            |        54 |
| AS   | American Samoa                                       |      1684 |
| AT   | Austria (Österreich)                                 |        43 |
| AU   | Australia                                            |        61 |
| AW   | Aruba                                                |       297 |
| AX   | Åland Islands                                        |       358 |
| AZ   | Azerbaijan (Azərbaycan)                              |       994 |
| BA   | Bosnia and Herzegovina (Босна и Херцеговина)         |       387 |
| BB   | Barbados                                             |      1246 |
| BD   | Bangladesh (বাংলাদেশ)                                |       880 |
| BE   | Belgium (België)                                     |        32 |
| BF   | Burkina Faso                                         |       226 |
| BG   | Bulgaria (България)                                  |       359 |
| BH   | Bahrain (‫البحرين‬‎)                                 |       973 |
| BI   | Burundi (Uburundi)                                   |       257 |
| BJ   | Benin (Bénin)                                        |       229 |
| BL   | Saint Barthélemy                                     |       590 |
| BM   | Bermuda                                              |      1441 |
| BN   | Brunei                                               |       673 |
| BO   | Bolivia                                              |       591 |
| BR   | Brazil (Brasil)                                      |        55 |
| BS   | Bahamas                                              |      1242 |
| BT   | Bhutan (འབྲུག)                                       |       975 |
| BW   | Botswana                                             |       267 |
| BY   | Belarus (Беларусь)                                   |       375 |
| BZ   | Belize                                               |       501 |
| CA   | Canada                                               |         1 |
| CC   | Cocos (Keeling) Islands                              |        61 |
| CD   | Congo (DRC) (Jamhuri ya Kidemokrasia ya Kongo)       |       243 |
| CF   | Central African Republic (République centrafricaine) |       236 |
| CG   | Congo (Republic) (Congo-Brazzaville)                 |       242 |
| CH   | Switzerland (Schweiz)                                |        41 |
| CI   | Côte d’Ivoire                                        |       225 |
| CK   | Cook Islands                                         |       682 |
| CL   | Chile                                                |        56 |
| CM   | Cameroon (Cameroun)                                  |       237 |
| CN   | China (中国)                                         |        86 |
| CO   | Colombia                                             |        57 |
| CR   | Costa Rica                                           |       506 |
| CU   | Cuba                                                 |        53 |
| CV   | Cape Verde (Kabu Verdi)                              |       238 |
| CW   | Curaçao                                              |       599 |
| CX   | Christmas Island                                     |        61 |
| CY   | Cyprus (Κύπρος)                                      |       357 |
| CZ   | Czech Republic (Česká republika)                     |       420 |
| DE   | Germany (Deutschland)                                |        49 |
| DJ   | Djibouti                                             |       253 |
| DK   | Denmark (Danmark)                                    |        45 |
| DM   | Dominica                                             |      1767 |
| DO   | Dominican Republic (República Dominicana)            |         1 |
| DZ   | Algeria (‫الجزائر‬‎)                                 |       213 |
| EC   | Ecuador                                              |       593 |
| EE   | Estonia (Eesti)                                      |       372 |
| EG   | Egypt (‫مصر‬‎)                                       |        20 |
| ER   | Eritrea                                              |       291 |
| ES   | Spain (España)                                       |        34 |
| ET   | Ethiopia                                             |       251 |
| FI   | Finland (Suomi)                                      |       358 |
| FJ   | Fiji                                                 |       679 |
| FK   | Falkland Islands (Islas Malvinas)                    |       500 |
| FM   | Micronesia                                           |       691 |
| FO   | Faroe Islands (Føroyar)                              |       298 |
| FR   | France                                               |        33 |
| GA   | Gabon                                                |       241 |
| GB   | United Kingdom                                       |        44 |
| GD   | Grenada                                              |      1473 |
| GE   | Georgia (საქართველო)                                 |       995 |
| GF   | French Guiana (Guyane française)                     |       594 |
| GG   | Guernsey                                             |        44 |
| GH   | Ghana (Gaana)                                        |       233 |
| GI   | Gibraltar                                            |       350 |
| GL   | Greenland (Kalaallit Nunaat)                         |       299 |
| GM   | Gambia                                               |       220 |
| GN   | Guinea (Guinée)                                      |       224 |
| GP   | Guadeloupe                                           |       590 |
| GQ   | Equatorial Guinea (Guinea Ecuatorial)                |       240 |
| GR   | Greece (Ελλάδα)                                      |        30 |
| GT   | Guatemala                                            |       502 |
| GU   | Guam                                                 |      1671 |
| GW   | Guinea-Bissau (Guiné Bissau)                         |       245 |
| GY   | Guyana                                               |       592 |
| HK   | Hong Kong (香港)                                     |       852 |
| HN   | Honduras                                             |       504 |
| HR   | Croatia (Hrvatska)                                   |       385 |
| HT   | Haiti                                                |       509 |
| HU   | Hungary (Magyarország)                               |        36 |
| ID   | Indonesia                                            |        62 |
| IE   | Ireland                                              |       353 |
| IL   | Israel (‫ישראל‬‎)                                    |       972 |
| IM   | Isle of Man                                          |        44 |
| IN   | India (भारत)                                         |        91 |
| IO   | British Indian Ocean Territory                       |       246 |
| IQ   | Iraq (‫العراق‬‎)                                     |       964 |
| IR   | Iran (‫ایران‬‎)                                      |        98 |
| IS   | Iceland (Ísland)                                     |       354 |
| IT   | Italy (Italia)                                       |        39 |
| JE   | Jersey                                               |        44 |
| JM   | Jamaica                                              |         1 |
| JO   | Jordan (‫الأردن‬‎)                                   |       962 |
| JP   | Japan (日本)                                         |        81 |
| KE   | Kenya                                                |       254 |
| KG   | Kyrgyzstan (Кыргызстан)                              |       996 |
| KH   | Cambodia (កម្ពុជា)                                   |       855 |
| KI   | Kiribati                                             |       686 |
| KM   | Comoros (‫جزر القمر‬‎)                               |       269 |
| KN   | Saint Kitts and Nevis                                |      1869 |
| KP   | North Korea (조선 민주주의 인민 공화국)              |       850 |
| KR   | South Korea (대한민국)                               |        82 |
| KW   | Kuwait (‫الكويت‬‎)                                   |       965 |
| KY   | Cayman Islands                                       |      1345 |
| KZ   | Kazakhstan (Казахстан)                               |         7 |
| LA   | Laos (ລາວ)                                           |       856 |
| LB   | Lebanon (‫لبنان‬‎)                                   |       961 |
| LC   | Saint Lucia                                          |      1758 |
| LI   | Liechtenstein                                        |       423 |
| LK   | Sri Lanka (ශ්‍රී ලංකාව)                              |        94 |
| LR   | Liberia                                              |       231 |
| LS   | Lesotho                                              |       266 |
| LT   | Lithuania (Lietuva)                                  |       370 |
| LU   | Luxembourg                                           |       352 |
| LV   | Latvia (Latvija)                                     |       371 |
| LY   | Libya (‫ليبيا‬‎)                                     |       218 |
| MA   | Morocco (‫المغرب‬‎)                                  |       212 |
| MC   | Monaco                                               |       377 |
| MD   | Moldova (Republica Moldova)                          |       373 |
| ME   | Montenegro (Crna Gora)                               |       382 |
| MF   | Saint Martin (Saint-Martin (partie française))       |       590 |
| MG   | Madagascar (Madagasikara)                            |       261 |
| MH   | Marshall Islands                                     |       692 |
| MK   | Macedonia (FYROM) (Македонија)                       |       389 |
| ML   | Mali                                                 |       223 |
| MM   | Myanmar (Burma) (မြန်မာ)                             |        95 |
| MN   | Mongolia (Монгол)                                    |       976 |
| MO   | Macau (澳門)                                         |       853 |
| MP   | Northern Mariana Islands                             |      1670 |
| MQ   | Martinique                                           |       596 |
| MR   | Mauritania (‫موريتانيا‬‎)                            |       222 |
| MS   | Montserrat                                           |      1664 |
| MT   | Malta                                                |       356 |
| MU   | Mauritius (Moris)                                    |       230 |
| MV   | Maldives                                             |       960 |
| MW   | Malawi                                               |       265 |
| MX   | Mexico (México)                                      |        52 |
| MY   | Malaysia                                             |        60 |
| MZ   | Mozambique (Moçambique)                              |       258 |
| NA   | Namibia (Namibië)                                    |       264 |
| NC   | New Caledonia (Nouvelle-Calédonie)                   |       687 |
| NE   | Niger (Nijar)                                        |       227 |
| NF   | Norfolk Island                                       |       672 |
| NG   | Nigeria                                              |       234 |
| NI   | Nicaragua                                            |       505 |
| NL   | Netherlands (Nederland)                              |        31 |
| NO   | Norway (Norge)                                       |        47 |
| NP   | Nepal (नेपाल)                                        |       977 |
| NR   | Nauru                                                |       674 |
| NU   | Niue                                                 |       683 |
| NZ   | New Zealand                                          |        64 |
| OM   | Oman (‫عُمان‬‎)                                      |       968 |
| PA   | Panama (Panamá)                                      |       507 |
| PE   | Peru (Perú)                                          |        51 |
| PF   | French Polynesia (Polynésie française)               |       689 |
| PG   | Papua New Guinea                                     |       675 |
| PH   | Philippines                                          |        63 |
| PK   | Pakistan (‫پاکستان‬‎)                                |        92 |
| PL   | Poland (Polska)                                      |        48 |
| PM   | Saint Pierre and Miquelon (Saint-Pierre-et-Miquelon) |       508 |
| PR   | Puerto Rico                                          |         1 |
| PS   | Palestine (‫فلسطين‬‎)                                |       970 |
| PT   | Portugal                                             |       351 |
| PW   | Palau                                                |       680 |
| PY   | Paraguay                                             |       595 |
| QA   | Qatar (‫قطر‬‎)                                       |       974 |
| RE   | Réunion (La Réunion)                                 |       262 |
| RO   | Romania (România)                                    |        40 |
| RS   | Serbia (Србија)                                      |       381 |
| RU   | Russia (Россия)                                      |         7 |
| RW   | Rwanda                                               |       250 |
| SA   | Saudi Arabia (‫المملكة العربية السعودية‬‎)           |       966 |
| SB   | Solomon Islands                                      |       677 |
| SC   | Seychelles                                           |       248 |
| SD   | Sudan (‫السودان‬‎)                                   |       249 |
| SE   | Sweden (Sverige)                                     |        46 |
| SG   | Singapore                                            |        65 |
| SH   | Saint Helena                                         |       290 |
| SI   | Slovenia (Slovenija)                                 |       386 |
| SJ   | Svalbard and Jan Mayen                               |        47 |
| SK   | Slovakia (Slovensko)                                 |       421 |
| SL   | Sierra Leone                                         |       232 |
| SM   | San Marino                                           |       378 |
| SN   | Senegal (Sénégal)                                    |       221 |
| SO   | Somalia (Soomaaliya)                                 |       252 |
| SR   | Suriname                                             |       597 |
| SS   | South Sudan (‫جنوب السودان‬‎)                        |       211 |
| ST   | São Tomé and Príncipe (São Tomé e Príncipe)          |       239 |
| SV   | El Salvador                                          |       503 |
| SX   | Sint Maarten                                         |      1721 |
| SY   | Syria (‫سوريا‬‎)                                     |       963 |
| SZ   | Swaziland                                            |       268 |
| TC   | Turks and Caicos Islands                             |      1649 |
| TD   | Chad (Tchad)                                         |       235 |
| TG   | Togo                                                 |       228 |
| TH   | Thailand (ไทย)                                       |        66 |
| TJ   | Tajikistan                                           |       992 |
| TK   | Tokelau                                              |       690 |
| TL   | Timor-Leste                                          |       670 |
| TM   | Turkmenistan                                         |       993 |
| TN   | Tunisia (‫تونس‬‎)                                    |       216 |
| TO   | Tonga                                                |       676 |
| TR   | Turkey (Türkiye)                                     |        90 |
| TT   | Trinidad and Tobago                                  |      1868 |
| TV   | Tuvalu                                               |       688 |
| TW   | Taiwan (台灣)                                        |       886 |
| TZ   | Tanzania                                             |       255 |
| UA   | Ukraine (Україна)                                    |       380 |
| UG   | Uganda                                               |       256 |
| US   | United States                                        |         1 |
| UY   | Uruguay                                              |       598 |
| UZ   | Uzbekistan (Oʻzbekiston)                             |       998 |
| VA   | Vatican City (Città del Vaticano)                    |        39 |
| VC   | Saint Vincent and the Grenadines                     |      1784 |
| VE   | Venezuela                                            |        58 |
| VG   | British Virgin Islands                               |      1284 |
| VI   | U.S. Virgin Islands                                  |      1340 |
| VN   | Vietnam (Việt Nam)                                   |        84 |
| VU   | Vanuatu                                              |       678 |
| WF   | Wallis and Futuna (Wallis-et-Futuna)                 |       681 |
| WS   | Samoa                                                |       685 |
| XK   | Kosovo                                               |       383 |
| YE   | Yemen (‫اليمن‬‎)                                     |       967 |
| YT   | Mayotte                                              |       262 |
| ZA   | South Africa                                         |        27 |
| ZM   | Zambia                                               |       260 |
| ZW   | Zimbabwe                                             |       263 |
